
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #631

Be able to change the length format of the song from hh:mm:ss to mm:ss in the playlist editor
Description

It would be nice to have a setting where it is possible to change how the song's length is displayed in the playlist editor.

Eg. if I have a song that is 2 hours long, it is displayed in the playlist editor as 2:00:00. It would be nice to be able to display it as

120:00. One can implement it maybe by having a text box with the syntax of the format eg. hh:mm:ss as default and if we change it

to mm:ss then we get the desired outcome as described above.

PS in the "playback area window" the curent time is already shown as minutes so instead of displaying 2:00:00 (as it is in the playlist

editor) it shows 120:00.

History

#1 - July 10, 2016 06:19 - John Lindgren

Are you sure you're using 3.7.2?  All the displayed time formats should be consistent since 3.6.x, since they all call str_format_time().

#2 - July 12, 2016 22:47 - eljenajudo eljenajudo

- File audacious.png added

John Lindgren wrote:

Are you sure you're using 3.7.2?  All the displayed time formats should be consistent since 3.6.x, since they all call str_format_time().

 

Yes, I am using 3.7.2 on Ubuntu 14.04. If I understood you correctly there is no way to implement have I have asked?

I have never said that in the previous versions this was implemented.

I  attach a screenshot that demonstrates my problem. (in the playlist the track is 1:12:46 long while in the player it shows 69:12 after passing the hour

mark instead of 1:09:12). What I would like is that 72:46 is shown in the playlist editor.

#3 - July 13, 2016 00:14 - John Lindgren

Oh, you're using the skinned interface.  That makes more sense now.

#4 - July 13, 2016 00:23 - John Lindgren

- Category set to libaudcore

- Status changed from New to Closed

- Target version set to 3.8

- % Done changed from 0 to 100
